lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "flex_commerce_api/version"

Gem::Specification.new do |spec|
  spec.name = "flex_commerce_api"
  spec.version = FlexCommerceApi::VERSION
  spec.authors = ["Gary Taylor"]
  spec.email = ["gary.taylor@flexcommerce.com"]

  spec.summary = "Access the flex-commerce API"
  spec.description = "Allows any ruby application to access the flex-commerce API"
  spec.homepage = "https://github.com/shiftcommerce/flex-ruby-gem"
  spec.license = "MIT"

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", ">= 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3"
  spec.add_development_dependency "webmock", "~> 1.21"
  spec.add_development_dependency "factory_bot", "~> 4.8"
  spec.add_development_dependency "faker", "~> 1.4"
  spec.add_development_dependency "yard", "~> 0.8"
  spec.add_development_dependency "json-schema", "~> 2.6"
  spec.add_development_dependency "pry", "~> 0.10.0"
  spec.add_development_dependency "dotenv"
  spec.add_development_dependency "vcr"
  spec.add_development_dependency "thor", "~> 0.19"
  spec.add_development_dependency "json_matchers", ["~> 0.5", ">= 0.5.1"]

  spec.add_dependency "oj", "~> 2.12"
  spec.add_runtime_dependency "json_api_client", "1.5.3"
  spec.add_runtime_dependency "activesupport", ">= 4.0"
  spec.add_runtime_dependency "rack", ">= 1.6"
  spec.add_runtime_dependency "faraday-http-cache", "1.3.0"
end
